# SCPFileTransfer (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.xfer.scp
Class SCPFileTransfer

    java.lang.Object
      net.schmizz.sshj.xfer.AbstractFileTransfer
          net.schmizz.sshj.xfer.scp.SCPFileTransfer

All Implemented Interfaces:
  FileTransfer

    public class SCPFileTransfer

extends AbstractFileTransfer
implements FileTransfer

Field Summary

Fields inherited from class net.schmizz.sshj.xfer.AbstractFileTransfer
`log, LOGGING_TRANSFER_LISTENER`

Constructor Summary
`SCPFileTransfer(SessionFactory sessionFactory)`

Method Summary
`void` `download(String remotePath, LocalDestFile localFile)`
`void` `download(String remotePath, String localPath)`
`SCPDownloadClient` `newSCPDownloadClient()`
`SCPUploadClient` `newSCPUploadClient()`
`void` `upload(LocalSourceFile localFile, String remotePath)`
`void` `upload(String localPath, String remotePath)`

Methods inherited from class net.schmizz.sshj.xfer.AbstractFileTransfer
`getTransferListener, setTransferListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.schmizz.sshj.xfer.FileTransfer
`getTransferListener, setTransferListener`

Constructor Detail

### SCPFileTransfer

    public SCPFileTransfer(SessionFactory sessionFactory)

Method Detail

### newSCPDownloadClient

    public SCPDownloadClient newSCPDownloadClient()

### newSCPUploadClient

    public SCPUploadClient newSCPUploadClient()

### upload

    public void upload(String localPath,
                       String remotePath)
                throws IOException

  Specified by:
    `upload` in interface `FileTransfer`
  Throws:
    `IOException`

### download

    public void download(String remotePath,
                         String localPath)
                  throws IOException

  Specified by:
    `download` in interface `FileTransfer`
  Throws:
    `IOException`

### download

    public void download(String remotePath,
                         LocalDestFile localFile)
                  throws IOException

  Specified by:
    `download` in interface `FileTransfer`
  Throws:
    `IOException`

### upload

    public void upload(LocalSourceFile localFile,
                       String remotePath)
                throws IOException

  Specified by:
    `upload` in interface `FileTransfer`
  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.